<?php
session_start();
require("config.php");
// o usuĂĄrio estĂĄ logado?
if(!isset($_SESSION["id_usuario_logado"])){
  header("Location: login.php");
  exit;
}

// tem permissão para excluir?
if(!Permissao::podeExcluir($_SESSION["nivel_acesso"])){
  header("Location: erro_permissao.php");
  exit;  
}
// fim permissão para excluir

// id do anexo a ser excluído
$id_anexo = tratar_entrada(utf8_decode(trim($_GET["anexo"])));
$tipo_anexo = tratar_entrada(utf8_decode(trim($_GET["tipo_anexo"])));
$nome_anexo = tratar_entrada(utf8_decode(trim($_GET["nome_anexo"])));
// url para voltar depois da exclusao
$url_volta = tratar_entrada(str_replace("@@", "&", $_GET["volta"]));

// primeiro vamos excluir da tabela do banco de dados
$result = mysqli_query($conexao, "DELETE FROM anexos_atendimentos WHERE id = '$id_anexo'");
if($result){
  // agora precisamos excluir o arquivo
  if($tipo_anexo == "1"){
    unlink($diretorio_documentos_atendimentos . '/' . $nome_anexo);
  }
  
  header("Location: $url_volta");
  exit; 
}
else{
  $_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de anexos.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
} 
?>
